# Note that this is NOT a relocatable package
Summary:     Color font rendering library for X11R6.
Summary(ja): X11R6 用カラーフォントレンダリングライブラリ
Name:        fnlib
Version:     0.5
Release:     4vl2
Copyright:   LGPL
Group:       System Environment/Libraries
Source:      ftp://www.rasterman.com/pub/enlightenment/libs/fnlib/fnlib-%{version}.tar.gz
Obsoletes:   Fnlib
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
URL:         http://www.rasterman.com/
Requires:    imlib >= 1.8.0
BuildPrereq: libpng-devel >= 2:1.2.5
BuildPreReq: imlib-devel >= 1.8.0


%description
Fnlib is a library that provides full, scalable 24-bit color font 
rendering abilities for X.

%description -l ja
fnlib は X にスケーラブルな 24bit カラーフォント描画機能を提供する
ライブラリです．


%package devel
Summary:     Headers, static libraries and documentation for Fnlib.
Summary(ja): fnlib 用ヘッダ，スタティックライブラリとドキュメント
Group:       Development/Libraries
Requires:    fnlib = %{version}
Obsoletes:   Fnlib


%description devel
Headers, static libraries and documentation for Fnlib.

%description devel -l ja
fnlib 用ヘッダ，スタティックライブラリとドキュメントです．


%prep
%setup


%build
%configure --sysconfdir=/etc
make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall fontdatadir=$RPM_BUILD_ROOT%{_prefix}/share/fnlib_fonts sysconfdir=$RPM_BUILD_ROOT/etc


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)

%doc README

%config /etc/fnrc
%{_libdir}/lib*.so.*
%{_datadir}/fnlib_fonts/*


%files devel
%defattr(-, root, root)

%doc doc/index.html
%doc doc/fontinfo.README

%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/*


%changelog
* Thu Apr 17 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.50-4vl2
- rebuild with libpng-devel-1.2.5-0vl1
- add BuildPrereq: libpng-devel >= 2:1.2.5

* Mon May 21 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.50-4vl1
- rebuilt for Vine Linux
- added Japanese summary and description
- use better macros
- added BuildPreReq: imlib-devel

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 David Mason <dcm@redhat.com>
- update spec file to new RPM guidelines

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- built against imlib 1.9.3


* Thu Jan 21 1999 The Rasterman <raster@redhat.com>
- added spec file to CVS
